AnsweredAssumed Answered

Java EE query

Question asked by jeremy on Sep 21, 2010
Latest reply on Sep 24, 2010 by jeremy
Hi,

In NavigationBean.java it has the code


import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

If I hover over these two lines of code in my NetBeans IDE, the messages

package javax.faces.context does not exist

and

package javax.faces.event does not exist

display.

The javax.faces package is a package of Java EE.

Do I need to install Java EE to remove the above NetBeans messages ?

Why is it not necessary to have Java EE installed for Alfresco to run, if the source code imports Java EE packages (e.g. javax.faces) ?

Thanks.

Outcomes